Blog de dada

DevOps, bidouilleur et routard plein de logiciels libres

Attention, ce billet se traine depuis plus de 3 mois. Les informations qu'il contient ne sont peut-être plus à jour.


ownCloud 6 nécessitera PHP 5.3.8 ou supérieur

Rédigé par dada / / Aucun commentaire

Avec la version 6 qui se profile doucement, je suis en période de test. Je veux tâter cette version pour pouvoir mettre à jour mon serveur le plus rapidement possible.

En local, sur mon Archlinux, tout va bien. Je peux vadrouiller un peu partout et voir la bête en action. Quand je fais ce même genre de teste sur mon serveur, sous Debian Squeeze (old-stable), Document ne fonctionne plus. Sachant qu'il s'agit d'une des principales nouveautés de ownCloud 6, c'est gênant.

La raison du malfonctionnement est maintenant connue : une version ancienne de PHP entraine un nombre incalculable de problèmes et c'est pourquoi ownCloud 6 recommande la version 5.3.8.

On peut lire ça depuis la mailing-list :

The reason for this is that we got a lot of bug reports that are caused by bugs in PHP older then 5.3.8. Some of it might be patched by Redhat or Debian but please seriously consider to upgrade to a newer version. This old 5.3.x version where really broken.

Ce qui donne en bon français :

Cela s'explique par le fait que nous avons beaucoup de remontés de bogues causés par des bogues dans les versions de PHP antérieures à la 5.3.8. Certaines d'entre elles pourraient être corrigées par RedHat ou Debian mais veuillez sérieusement envisager une mise à jour. Cette vieille version 5.3.x est vraiment bancale.

Actuellement, la RC2 requiert la version 5.3.8 ou supérieure pour fonctionner. D'ici la RC3, puis la version finale, seul un warning sera affiché dans les logs dans le cas où vous auriez une trop vieilles versions de PHP. Ce qui veut dire que vous pourrez vous servir d'ownCloud mais pas de Document.

Je n'ai pas les compétences nécessaires pour vérifier ces dires mais je les crois. Je ne sais pas comment ça va se passer avec RedHat/CentOS mais je sais déjà que je vais suer à faire passer mon serveur de Squeeze à Wheezy.

Écrire un commentaire

Quelle est la troisième lettre du mot wxiok ?